using System;
using System.Collections.Generic;
using System.Linq.Expressions;
using Wierszowki.Core.Linq;

namespace Wierszowki.Services.Interfaces
{
    public interface IUserService
    {
        bool LoginUser(string login, string password);
        void Create(User user);
        void Update(User user);
        void Delete(User user);
        User Find(int id);
        User FindOne(int id);
        User FindOne(Expression<Func<User, bool>> expression);
        IList<User> FindAll();
    }
}